CPU_CONFIGURE(9)

NAME
cpu_configure - machine-dependent device autoconfiguration

SYNOPSIS
#include <sys/systm.h>
void
cpu_configure(void);

DESCRIPTION
cpu_configure() is called during system bootstrap to perform the machine-dependent portion of device autoconfiguration. It sets the configuration machinery in motion by finding the root bus ("mainbus"). When this function returns, interrupts must be enabled.

cpu_configure() performs the following tasks:

•   initialize soft interrupts (see softintr(9))

•   initialize CPU interrupts and SPLs

•   call config_rootfound() for "mainbus"

•   complete any initialization deferred from cpu_startup().

SEE ALSO
autoconf(9), cpu_startup(9)